# $Revision: 1.43 $, $Date: 2002/11/05 09:10:32 $
Summary:	GUI for dctc (Direct Connect)
Summary(pl):	GUI do dctc (Direct Connect)
Name:		dc_gui
Version:	0.64
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://ac2i.tzo.com/dctc/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-home_etc.patch
URL:		http://ac2i.tzo.com/dctc/
BuildRequires:	db3-devel
BuildRequires:	dctc >= 0.83.7
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	gnome-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	gtk+-devel >= 1.2.0
BuildRequires:	imlib-devel
Requires:	dctc >= 0.83.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Direct Connect client (dctc) GUI.

%description -l pl
Graficzny interfejs uytkownika do dctc (Direct Connect).

%prep
%setup -q
%patch0 -p1

%build
rm -f missing
%{__gettextize}
%{__aclocal} -I %{_aclocaldir}/gnome
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README ChangeLog TODO
%attr(755,root,root) %{_bindir}/dc_gui
%attr(644,root,root) %{_applnkdir}/Network/Communications/*
%{_pixmapsdir}/dc_gui

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: dc_gui.spec,v $
Revision 1.43  2002/11/05 09:10:32  pascalek
- updated to 0.64

Revision 1.42  2002/10/23 07:28:05  pascalek
- updated to 0.63

Revision 1.41  2002/10/09 13:14:19  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.40  2002/10/07 08:44:09  misiek
- added pixmaps

Revision 1.39  2002/10/05 19:55:16  mmazur
- updated to 0.62; STBR

Revision 1.38  2002/08/26 05:46:49  pascalek
- updated to 0.60

Revision 1.37  2002/07/29 08:01:35  jojoro
- updated to 0.59

Revision 1.36  2002/06/23 20:52:48  kloczek
perl -pi -e "s/^gettextize --copy --force/\%%\{__gettextize\}/"

Revision 1.35  2002/06/09 15:03:01  jojoro
- updated to 0.58

Revision 1.34  2002/06/03 09:19:37  pascalek
- Release 2, home_etc patch added

Revision 1.33  2002/05/28 15:44:36  jojoro
- update to 0.57

Revision 1.32  2002/05/21 23:12:47  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.31  2002/05/14 06:16:10  jojoro

- updated to 0.56

Revision 1.30  2002/05/11 17:21:20  kloczek
- BuildRequires: dctc >= 0.79.

Revision 1.29  2002/05/11 17:13:53  blues
- changed group to X11/Applications/Networking

Revision 1.28  2002/05/11 06:38:00  misiek
- updated to 0.55

Revision 1.27  2002/04/25 16:09:51  arturs
fixed a small typo

Revision 1.26  2002/03/24 23:04:09  misiek
- updated to 0.50

Revision 1.25  2002/03/23 05:38:41  kloczek
- updated to 0.49,
- desktop file moved to Network/Communications/.

Revision 1.24  2002/03/23 02:37:47  blues
- added desktop file

Revision 1.23  2002/03/11 02:27:24  jack
Updated to 0.74 dctc and 0.48 dc_gui - build and work ok

Revision 1.22  2002/03/05 20:17:01  jack
This version requires a DCTC version 0.73 or above. (http://ac2i.tzo.com/dctc/)

Revision 1.21  2002/03/05 18:16:43  filon
- updated to 0.47

Revision 1.20  2002/02/28 17:27:39  jack
Updated - builds and works.

Revision 1.19  2002/02/22 23:28:47  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.18  2002/02/19 06:35:29  kloczek
- updated to 0.45.

Revision 1.17  2002/02/03 14:53:44  misiek
- updated to 0.43

Revision 1.16  2002/01/28 14:56:29  misiek
- updated to 0.42

Revision 1.15  2002/01/20 12:31:11  misiek
- updated to 0.41

Revision 1.14  2002/01/18 02:12:40  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2002/01/13 11:13:26  misiek
BR: dctc

Revision 1.12  2002/01/13 10:52:48  misiek
- updated to 0.40

Revision 1.11  2002/01/06 12:03:58  misiek
- updated to 0.39

Revision 1.10  2001/12/20 02:03:13  misiek
- updated to 0.36

Revision 1.9  2001/12/01 15:20:26  grzegorz
- update to 0.34

Revision 1.8  2001/11/21 14:31:08  qboosh
- pl translations

Revision 1.7  2001/11/08 12:15:45  grzegorz
- update to 0.33, STBR
- Requires: dctc >= 0.59

Revision 1.6  2001/10/22 10:53:44  ankry
- BuildRequires  gnome-libs-devel and gtk+-devel >= 1.2.0

Revision 1.5  2001/10/22 07:09:57  grzegorz
- homepage suggests requirement for dctc >= 0.58, sorry for 0.98

Revision 1.4  2001/10/22 07:07:13  ankry
- removed bogus requirement for dctc >= 0.98 (0.58 is the newest; homepage
  suggests requirement for dctc >= 0.55)

Revision 1.3  2001/10/22 07:03:03  grzegorz
- correct URL and Source0
- update to 0.32

Revision 1.2  2001/10/22 06:42:22  grzegorz
- dctc must be at least 0.98
- added BuildRequires: autoconf automake
- ac 2.5x ready
- not tested!

Revision 1.1  2001/10/22 06:21:42  pascalek
- initial revision

Revision 1.1  2001/10/19 06:45:58  pascalek
- initial revision
